Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Clap de fin pour Fedora 27

#1 07/11/2018 19:13:30

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Problème d'installation de programmes et d'extensions

Bonsoir,

Je ne parviens pas à faire fonctionner le réglage de la luminosité sur mon Acer, donc j'ai trouvé hier une petite extension très pratique qui se manifestait par une icône représentant un rouage. Je pouvait éclaircir ou obscurcir par un simple mouvement de scroll. J'ai réinstallé fedora ensuite, et depuis cette extension a disparu de l'application "logiciels". Pouvez-vous m'indiquer comment la retrouver ?

Par ailleurs, je ne parviens pas à installer un navigateur web qui s'appelle Waterfox (téléchargeable en archive sur leur site, mais pas disponible dans la base de logiciels). Il y a aussi un problème avec l'installation du lecteur vidéo Parole, et du logiciel Deepin System Monitor.

Acer Aspire 5733 (portable)
Intel® Core™ i3 CPU M 370 @ 2.40GHz × 4
Version 3.28.1
64-bit
487,0 Go

Hors ligne

#2 07/11/2018 19:52:35

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Tu as un nom pour ton extension ? Voir peut-être du côté de https://extensions.gnome.org/.

Tu as un lien vers Waterfox ?

T'essayes d'installer Parole et Deepin System Monitor de quelle manière ?


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#3 07/11/2018 23:42:11

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

Curieusement, les extensions de réglage de la luminosité sont réapparues dans la logithèque, et j'ai pu ouvrir Waterfox simplement avec le navigateur de dossiers. Donc c'est bon.

- Parole s'installe mais ne démarre pas, avec message d'erreur.

- Deepin System Monitor ne démarre même pas l'installation, un message d'erreur s'affiche aussi à ce moment-là ("could not depsolve transaction : 1 problem detected")

Hors ligne

#4 08/11/2018 19:05:58

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Du coup quel était le nom de l'extension, car ça pourrait intéresser des personnes aussi.

Quel message d'erreur pour Parole ? Que retourne

$ parole

Que retourne aussi

# dnf install deepin-system-monitor

F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#5 04/12/2018 13:23:56

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

Bonjour, désolé pour le silence, je suis débordé. Je teste ces lignes de commande bientôt et reviens vers cette conversation.

Hors ligne

#6 06/12/2018 00:08:21

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

Bonsoir,

Parole ne parle pas beaucoup quand on l'interroge, dirait-on.
Dans l'ordre :

[permanent@localhost ~]$ parole
Erreur de segmentation (core dumped)
[permanent@localhost ~]$ 

Puis :

[permanent@localhost ~]$ # dnf install deepin-system-monitor
[permanent@localhost ~]$ dnf install deepin-system-monitor
Erreur : Cette commande requiert les privilèges du super utilisateur
[permanent@localhost ~]$

Sinon, un problème avec Pitivi pour l'ouverture d'un fichier vidéo .mp4 :

"Problème : gst-core-error-quark
Informations supplémentaires : gst-core-error-quark: Il manque un greffon dans votre installation de GStreamer. (12)"

Hors ligne

#7 06/12/2018 06:08:05

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Le # devant la commande signifie que tu dois posséder les droits administrateurs, donc soit tu passes root avec la commande su -, soit tu places sudo devant la commande pour élever les droits de ton utilisateur.

Pour Gstreamer https://doc.fedora-fr.org/wiki/Lecture_ … #GStreamer.


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#8 06/12/2018 12:35:39

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

[permanent@localhost ~]$ sudo parole
[sudo] Mot de passe de permanent : 

(process:4800): parole-CRITICAL **: 12:30:09.070: Failed to initialize Xfconf: /usr/bin/dbus-launch terminated abnormally with the following error: No protocol specified
Autolaunch error: X11 initialization failed.

[permanent@localhost ~]$ 
[permanent@localhost ~]$ sudo dnf install deepin-system-monitor
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:25:26 le jeu. 06 déc. 2018 12:06:25 CET.
Erreur : 
 Problème: conflicting requests
  - nothing provides libprocps.so.4()(64bit) needed by deepin-system-monitor-1.3.7-3.fc28.x86_64
[permanent@localhost ~]$ 

Les commandes de la doc sur Gstreamer ne donnent rien. Ni Dragon player, ni Vidéos ni Pitivi ne peuvent lire les MPEG-4. Les extentions de codecs sont installées, je les ai même désinstallées pour les réinstaller, mais rien ne change.

Hors ligne

#9 06/12/2018 18:02:41

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Pour Parole, il ne fallait pas le lancer en tant qu'administrateur, ceci est dangereux.

Etrange pour deepin-system-monitor j'ai

# dnf install deepin-system-monitor
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:11:02 le jeu. 06 déc. 2018 17:43:00 CET.
Dépendances résolues.
===================================================================================================================================================================================================================================
 Paquet                                                                                                      Architecture                                                                                Version                                                                                                        Dépôt                                                                                       Taille
===================================================================================================================================================================================================================================
Installation:
 deepin-system-monitor                                                                                       x86_64                                                                                      1.3.7-5.fc29                                                                                                   fedora                                                                                      2.5 M
Installation des dépendances:
 deepin-qt-dbus-factory                                                                                      x86_64                                                                                      1.0.4-1.fc29                                                                                                   fedora                                                                                      503 k
 dtkcore                                                                                                     x86_64                                                                                      2.0.9-3.fc29                                                                                                   fedora                                                                                      244 k
 dtkwidget                                                                                                   x86_64                                                                                      2.0.9.1-1.fc29                                                                                                 fedora                                                                                      729 k
 dtkwm                                                                                                       x86_64                                                                                      2.0.9-1.fc29                                                                                                   fedora                                                                                       37 k
 gsettings-qt                                                                                                x86_64                                                                                      0-0.16.20180723bzr85.fc29                                                                                      fedora                                                                                       41 k

Résumé de la transaction
===================================================================================================================================================================================================================================
Installer  6 Paquets

Taille totale des téléchargements : 4.0 M
Taille des paquets installés : 9.9 M
Voulez-vous continuer ? [o/N] : n
Opération avortée.

Que retourne

$ rpm -qa \*gstreamer\*

Par contre, cela aurait été mieux d'ouvrir un post pour chaque problème.


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#10 07/12/2018 13:47:46

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

[permanent@localhost ~]$  rpm -qa \*gstreamer\*
gstreamer-plugins-good-extras-0.10.31-20.fc27.x86_64
gstreamer1-plugins-ugly-free-1.14.0-1.fc28.x86_64
gstreamer-0.10.36-18.fc27.x86_64
gstreamer1-plugins-bad-free-1.14.1-3.fc28.x86_64
gstreamer-plugins-espeak-0.5.0-2.fc28.x86_64
gstreamer-tools-0.10.36-18.fc27.x86_64
python3-gstreamer1-1.14.1-1.fc28.x86_64
gstreamer1-plugins-good-1.14.1-3.fc28.x86_64
gstreamer-plugins-bad-free-0.10.23-45.fc28.x86_64
gstreamer1-plugins-base-1.14.0-2.fc28.x86_64
phonon-qt5-backend-gstreamer-4.9.0-8.fc28.x86_64
gstreamer1-plugins-good-gtk-1.14.1-3.fc28.x86_64
gstreamer-plugins-base-0.10.36-18.fc27.x86_64
PackageKit-gstreamer-plugin-1.1.9-3.fc28.x86_64
gstreamer1-plugin-openh264-1.14.1-1.fc28.x86_64
gstreamer1-1.14.0-1.fc28.x86_64
gstreamer-plugins-good-0.10.31-20.fc27.x86_64
[permanent@localhost ~]$ 

Concernant DSM :

[permanent@localhost ~]$ sudo dnf install deepin-system-monitor
[sudo] Mot de passe de permanent : 
Fedora 28 - x86_64 - Updates                    186 kB/s |  27 MB     02:30    
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:01:50 le ven. 07 déc. 2018 13:49:41 CET.
Erreur : 
 Problème: conflicting requests
  - nothing provides libprocps.so.4()(64bit) needed by deepin-system-monitor-1.3.7-3.fc28.x86_64
[permanent@localhost ~]$ 

Pourquoi pas l'ouverture d'une seconde conversation, mais il faudrait tout recommencer donc laissons tout dans celle-ci. Mais c'est noté pour la prochaine fois, pas de problème. L'installation de Deepin System Monitor n'est pas absolument urgente, donc vous pouvez vous centrer sur Gstreamer et le problème lié au format MPEG-4. J'ajoute au passage que le format WMA n'est pas non plus accessible, ce qui pose autant de problèmes. Il s'agit, avec le format mp3, des deux principaux formats que j'utilise pour travailler.

Dernière modification par Bidouilliste (Aujourd'hui 19:11:07)

Hors ligne

#11 07/12/2018 17:12:07

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Je viens de voir qu'il s'agissait d'une dépendance cassée sous F28 et que je suis sous F29.
D'ailleurs voici le rapport de bug associé https://bugzilla.redhat.com/show_bug.cgi?id=1598717.

Quel lecteur est utilisé pour lire ces formats ?

Le MP3 fonctionne ?


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#12 08/12/2018 22:35:55

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

Bonsoir,

Effectivement, je n'ai pas fait la mise à jour vers la version 29, mais si vous pouvez m'indiquer comment le faire par Terminal, n'hésitez pas, je ferai un essai.

Laissons de côté le problème concernant Deepin System Monitor, ça n'a pas vraiment d'intérêt.

Les lecteurs que j'utilise pour le son sont Rythmbox ou Quod Libet, et Audacity ; et pour la vidéo, Dragon Player ou Vidéos, et Pitivi. Le format MP3 fonctionne sur tous les logiciels de lecture et de traitement audio, mais pas le WMA ; et le MPEG-4 n'est pas lu sur les logiciels de lecture ou de traitement de vidéos.

Hors ligne

#13 Hier 05:33:19

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

Installe les codecs suivants 

# dnf install gstreamer1-libav gstreamer1-ffmpeg gstreamer1-plugins-bad gstreamer1-plugins-ugly

F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#14 Hier 15:51:52

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

[permanent@localhost ~]$ sudo dnf install gstreamer1-libav gstreamer1-ffmpeg gstreamer1-plugins-bad gstreamer1-plugins-ugly
[sudo] Mot de passe de permanent : 
Fedora 28 - x86_64 - Updates                    383 kB/s |  28 MB     01:13    
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:34 le dim. 09 déc. 2018 15:49:17 CET.
Aucune correspondance pour l’argument : gstreamer1-libav
Aucune correspondance pour l’argument : gstreamer1-ffmpeg
Aucune correspondance pour l’argument : gstreamer1-plugins-bad
Aucune correspondance pour l’argument : gstreamer1-plugins-ugly
Erreur : Impossible de trouver une correspondance
[permanent@localhost ~]$ 

Hors ligne

#15 Hier 16:27:54

Refuznik
Membre
Inscription : 31/01/2007
Messages : 7 078

Re : Problème d'installation de programmes et d'extensions

Les paquets sont dans le dépot rpmfusion-free.

Installe ces deux dépots pour être tranquille et relance après l'installation des codecs gstreamer.

dnf install rpmfusion-free-release-tainted
dnf install rpmfusion-nonfree-release-tainted

#16 Hier 18:18:28

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

[permanent@localhost ~]$ sudo dnf install rpmfusion-free-release-tainted
[sudo] Mot de passe de permanent : 
Dernière vérification de l’expiration des métadonnées effectuée il y a 2:26:11 le dim. 09 déc. 2018 15:49:17 CET.
Aucune correspondance pour l’argument : rpmfusion-free-release-tainted
Erreur : Impossible de trouver une correspondance
[permanent@localhost ~]$ sudo dnf install rpmfusion-nonfree-release-tainted
Dernière vérification de l’expiration des métadonnées effectuée il y a 2:26:53 le dim. 09 déc. 2018 15:49:17 CET.
Aucune correspondance pour l’argument : rpmfusion-nonfree-release-tainted
Erreur : Impossible de trouver une correspondance
[permanent@localhost ~]

Hors ligne

#17 Hier 18:48:38

Refuznik
Membre
Inscription : 31/01/2007
Messages : 7 078

Re : Problème d'installation de programmes et d'extensions

Plus simple :

sudo dnf install https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm

#18 Aujourd'hui 17:26:24

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

Bonsoir,

L'installation s'est bien déroulée, mais même après un redémarrage, les fichiers MP4 et WMA ne s'ouvrent toujours pas avec les six logiciels.

Hors ligne

#19 Aujourd'hui 18:36:58

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

As-tu installé les codecs qui étaient dépendant de ces nouveaux dépôts ? (Voir mon dernier post)


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

#20 Aujourd'hui 19:05:24

Bidouilliste
Membre
Inscription : 05/11/2018
Messages : 11

Re : Problème d'installation de programmes et d'extensions

[permanent@localhost ~]$ sudo dnf install gstreamer1-libav gstreamer1-ffmpeg gstreamer1-plugins-bad gstreamer1-plugins-ugly
[sudo] Mot de passe de permanent : 
RPM Fusion for Fedora 28 - Free - Updates       189 kB/s | 524 kB     00:02    
RPM Fusion for Fedora 28 - Free                 164 kB/s | 754 kB     00:04    
RPM Fusion for Fedora 28 - Nonfree - Updates     79 kB/s |  96 kB     00:01    
RPM Fusion for Fedora 28 - Nonfree               32 kB/s | 208 kB     00:06    
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:00 le lun. 10 déc. 2018 19:04:24 CET.
Aucune correspondance pour l’argument : gstreamer1-ffmpeg
Aucune correspondance pour l’argument : gstreamer1-plugins-bad
Erreur : Impossible de trouver une correspondance
[permanent@localhost ~]$ 

Hors ligne

#21 Aujourd'hui 19:50:36

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 240
Site Web

Re : Problème d'installation de programmes et d'extensions

A mon avis tu as omis d'installer les 2 dépôts supplémentaires rpmfusion-free-release-tainted et rpmfusion-nonfree-release-tainted.

$ dnf repolist all

F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5570 Fanless - 8Go RAM /&/ F28_64 Gnome-Shell - GA-M55S-S3 - Athlon 64 X2 4200+ - GeminII - Ati HD5750 Fanless - 3Go RAM
F28_32 - 939A785GMH/128M - Athlon 64 4000+ - 2Go RAM /&/ F28_32 Gnome-Shell - EeePC 701 - 2Go RAM

Hors ligne

Pied de page des forums